<?php
/*
PluginAdRotate
Copyright (C) 2005 Matthew Wood
                                                                                
This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.
*/

include_once( PLOG_CLASS_PATH."class/object/object.class.php" );

class AdRotateAdStats extends Object
{
  var $_id;
  var $_impressions;
  var $_clicks;
  var $_imageurl;
  var $_redirecturl;
  var $_clickmd5;
  var $_alttext;
  var $_type;
  var $_dateadded;

  function AdRotateAdStats ( $id, $impressions, $clicks, $imageurl, $redirecturl,
      $clickmd5, $alttext, $type, $dateadded )
  {
    $this->Object();
    $this->_id = $id;
    $this->_impressions = $impressions;
    $this->_clicks = $clicks;
    $this->_imageurl = $imageurl;
    $this->_redirecturl = $redirecturl;
    $this->_clickmd5 = $clickmd5;
    $this->_alttext = $alttext;
    $this->_type = $type;
    $this->_dateadded = $dateadded;
  }
  function getId() { return $this->_id; }
  function getImpressions() { return $this->_impressions;}
  function getClicks() {return $this->_clicks;}
  function getImageUrl() {return $this->_imageurl;}
  function getRedirectUrl() {return $this->_redirecturl;}
  function getClickMD5() {return $this->_clickmd5;}
  function getAltText() {return $this->_alttext;}
  function getType() {return $this->_type;}
  function getDateAdded() {return $this->_dateadded;}
}

?>
